Kerbal Space Program - Bug #15707

Rockets Exploding On The Launchpad
08/14/2017 05:54 PM - Colonel_Camel
Description

I'm having increasing difficulty launching rockets, because they are exploding on the launchpad!

For example, this one | just made blows up the instant | take it to launch, and | have no idea why! The mission log is telling me that
the fairing is colliding with the fuel tank mounted below it, but | can't understand why this would be happening! There's nothing
unusual about the way the fuel tank is attached.

History

#1 - 08/14/2017 06:25 PM - Colonel_Camel
- File 20170815042246_1.jpg added

Definitely suspect there's a problem with the AE-FF3 Protective Shell. When | take the first stage launch vehicle off, and just set the fairing and it's
contents down on the Launchpad, it jumps way up in the air for no apparent reason!

It should just sit on the ground!

#2 - 08/14/2017 07:02 PM - Colonel_Camel

One way I've found of dodging the problem is to hit "Esc" while the Launchpad is loading, then just keep spamming Esc until the Launchpad camera
angle has settled, i.e. toggling the main menu on and off repeatedly in the meantime. It doesn't always work, but it works more reliably then simply
letting the Launchpad load as normal.

Just a little amateur speculation here, but it's almost as if there's some kind of mis-time in the physics calculations, and by pausing the game
repeatedly, I've been giving whatever was lagging the chance to catch up to where it needs to be. Maybe it's a multithreading problem?

My CPU is an Intel Core i7 2600K. It's a little dated now, sure, but it still ought to have more then enough grunt to do whatever KSP needs it to do.
Hell, | still run KSP on my laptop, which is way weaker.

#3 - 08/21/2017 01:03 AM - Anth12

1.3.0.1804 GOG

Agreed that its got something to do with the fairing.

Whats weird is the fact it doesnt do it all of the time.

And it doesnt do it at all if the decoupler is changed to a TR-XL Stack Seperator.
And its still acts weird but doesnt explode if only the struts are removed
#4 - 08/24/2017 07:57 PM - Anth12

Steam 1.3.1.1836

This is no longer an issue.

Fixed.

#5 - 10/13/2017 04:32 PM - bewing

- Status changed from New to Being Worked On
- % Done changed from 0 to 30
#6 - 10/13/2017 04:33 PM - bewing
- Status changed from Being Worked On to Ready to Test
- Target version set to 1.3.1

- % Done changed from 30 to 80

#7 - 10/13/2017 04:33 PM - bewing
- Status changed from Ready to Test to Resolved

- % Done changed from 80 to 100

#8 - 10/14/2017 09:55 AM - Squelch

- Status changed from Resolved to Closed

Files

Candycane Alpha - Mod1 .craft 400 KB 08/14/2017 Colonel_Camel
